Skip to main content
GET
/
v4
/
invoicing
/
invoices
Get invoices
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v4/invoicing/invoices \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "clientId": "<string>",
    "discountAmount": 30,
    "discountPercent": 15,
    "invoiceTerm": "DUE_NOW",
    "invoiceDate": "2023-11-07T05:31:56Z",
    "dueDate": "2023-11-07T05:31:56Z",
    "personalNote": "Thank you for your business.",
    "sendEmail": true,
    "acceptCredit": true,
    "acceptCash": true,
    "reminderSchedule": "ON_DUE_DATE",
    "invoiceFrequency": "ONE_TIME",
    "invoiceStatus": "OPEN",
    "emailStatus": "SUCCESS",
    "lastCreatedRecurringInvoice": "2023-11-07T05:31:56Z",
    "parentId": "<string>",
    "refundStatus": "PENDING",
    "emailErrors": {
      "empty": true
    },
    "sentDate": "2023-11-07T05:31:56Z",
    "acceptACH": true,
    "recurringParent": true
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

200 - application/json

Successful operation

id
string

Invoice id of draft invoice to finalize and send

clientId
string

Client id for this invoice

discountAmount
number

The total dollar amount to be discounted (you can provide a discountAmount or a discountPercent, but not both, as it affects the format of the invoice)

Example:

30

discountPercent
number

The total percent to be discounted (you can provide a discountAmount or a discountPercent, but not both, as it affects the format of the invoice)

Example:

15

invoiceTerm
enum<string>

Invoice Term for the invoice

Available options:
DUE_NOW,
NET_10,
NET_15,
NET_30,
NET_60,
OTHER
Example:

"DUE_NOW"

invoiceDate
string<date-time>

The creation date of the invoice

dueDate
string<date-time>

The due date of the invoice

personalNote
string

An optional personal note to add to the invoice

Example:

"Thank you for your business."

sendEmail
boolean

If set to true, an email of the invoice will be sent to client

Example:

true

acceptCredit
boolean

If set to true, the client can pay by debit/credit card

Example:

true

acceptCash
boolean

If set to true, the client can pay by cash or check

Example:

true

reminderSchedule
enum<string>

Comma delimited list of Payment Reminder frequencies for this invoice

Available options:
ON_DUE_DATE,
THREE_DAYS_AFTER_DUE_DATE,
EVERY_SEVEN_DAYS_AFTER_DUE_DATE,
AFTER_TWO_MINS
Example:

"ON_DUE_DATE"

invoiceFrequency
enum<string>

Invoice frequency

Available options:
ONE_TIME,
WEEKLY,
BI_WEEKLY,
MONTHLY,
YEARLY,
AFTER_TWO_MINS,
ONE_TIME,
WEEKLY,
BI_WEEKLY,
MONTHLY,
YEARLY,
AFTER_TWO_MINS
Example:

"ONE_TIME"

invoiceStatus
enum<string>

Status of the invoice

Available options:
OPEN,
CLOSED,
CANCELLED,
DRAFT,
REFUNDED,
SCHEDULED
emailStatus
enum<string>

Status of the email of the invoice

Available options:
SUCCESS,
FAILURE_TOKEN_INVALIDATED,
FAILURE_TOKEN_POSSIBLY_EXPIRED,
FAILURE_INVOICE_NOT_FOUND,
FAILURE_OTHER,
SENDING,
NOT_SENT,
FAILURE_BOUNCED,
WARNING_AUTO_RESPONSE
lastCreatedRecurringInvoice
string<date-time>

Date of the last created recurring invoice

parentId
string

Id of parent for recurring invoices

refundStatus
enum<string>

Status of the refund corresponding to this invoice

Available options:
PENDING,
SUCCEEDED,
FAILED,
UNKNOWN
emailErrors
object
sentDate
string<date-time>

Date the invoice was sent

acceptACH
boolean

If set to true, the client can pay by bank account

Example:

true

recurringParent
boolean

Whether this invoice is a recurring parent